/*
 * Copyright (C) 2018 Gravity Engineering Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.graveng.rci;

/**
 * サーバ側で発生した例外のクラス名とメッセージをラップしてクライアントに転送するための例外
 */
public class RciException extends Exception{

	public RciException() {
		super();
	}

	public RciException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
		super(message, cause, enableSuppression, writableStackTrace);
	}

	public RciException(String message, Throwable cause) {
		super(message, cause);
	}

	public RciException(String message) {
		super(message);
	}

	public RciException(Throwable cause) {
		super(cause);
	}

}
